antiprism-0.23
Up Next

# poly_kscope - polyhedral kaleidoscope

Usage | Examples | Notes

## Usage

    Usage: poly_kscope [options] [input_file]

    A polyhedral kaleidoscope. Read a file in OFF format and repeat it
    in a symmetric arrangement like a kaleidoscope. If input_file is
    not given the program reads from standard input.

    Options
      -h,--help this help message (run 'off_util -H help' for general help)
      --version version information
      -s <sym>  (required) symmetry type for kaleidoscope, up to three comma
                separated parts: main symmetry (Schoenflies notation) or file name,
                subgroup (Schoenflies notation), and conjugation type (integer)
      -y <arg>  make a compound by aligning the component to match a subsymmetry
                with the kaleidoscope. Argument is either 'list' (to print the
                list of the compounds to standard output) or a number from the
                list optionally followed by a comma and realignment (colon
                separated list of an integer then decimal numbers)
      -c <elms> color elements with a different index number for each part. The
                element string can include v, e and f to color, respectively,
                vertices, edges and faces
      -m <maps> a comma separated list of colour maps used to transform colour
                indexes (default: rand), a part consisting of letters from
                v, e, f, selects the element types to apply the map list to
                (default 'vef'). The 'compound' map should give useful results.
      -I        ignore shared symmetries, full kaleidoscopic repetition of
                component
      -Q        print information about compound
      -o <file> write output to file (default: write to standard output)

## Examples

Icosahedral arrangement of 60 cubes

    poly_kscope -s I -o tmp.off cube.off

## Notes

off_trans can be used to position the polyhedron before passing it to poly_kscope

Up: Programs and Documentation
Next: unitile2d - make uniform tilings on a surface